Subject: Re: Problems with dma_alloc_coherent()

From: Matt Porter <[email-masked]>
Date: Thu, 1 Apr 2004 13:49:53 -0700

On Thu, Apr 01, 2004 at 10:59:56AM -0800, Eugene Surovegin wrote:
> On Thu, Apr 01, 2004 at 01:55:10PM -0500, Dan Malek wrote:
> > >Current implementation just relies on the fact that PCI devices view system
> > >memory the same way as other-bus devices (e.g. OCP devices which sit on
> > >OPB).
> >
> > I don't think so.  PCI devices are known to go through bridges, while
> > others are assumed to not.
>
> Well, bridge doesn't necessarily mean there is an address translation :).
> Currently 4xx systems (not sure all, at least ones I use) use PCI == phys
> address mapping, and yes, bridge is setup so this is the case.

Just FYI, not all 4xx systems, just the ones in the kernel tree today.

-Matt

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/